Subject: Re: [PATCH v2 2/2] send-email: Support separate Reply-To address

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 17 Jan 2018 23:06:44 +0100

On Wed, Jan 17 2018, Christian Ludwig jotted:

> +if (defined $reply_to) {
> +	$reply_to =~ s/^\s+|\s+$//g;
> +	($reply_to) = expand_aliases($reply_to);
> +	$reply_to = sanitize_address($reply_to);
> +}

Just a note to other reviewers: I found it odd to call a function with
one argument and then enforce list context, but I see expand_aliases()
expects to be called that way, and this is copied from a previous
pattern earlier in the file.

(As an aside, that code looks a bit odd, but then I see 302e04ea4d
("send-email: detect cycles in alias expansion", 2009-07-23) )

Looks good to me.